<?php 
/*
* PuzzleApp
* Webemyos
* Jérôme Oliva
* GNU Licence
*/

namespace Apps\Courses\Entity;
use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;
use Core\Entity\Entity\EntityProperty;

class CourseOrganizer extends Entity  
{
	//Constructeur
	function __construct($core)
	{
		//Version
		$this->Version ="2.0.0.0"; 

		//Nom de la table 
		$this->Core=$core; 
		$this->TableName="CourseOrganizer"; 
		$this->Alias = "CourseOrganizer"; 

		$this->Name = new Property("Name", "Name", TEXTAREA,  false, $this->Alias); 
		$this->FirstName = new Property("FirstName", "FirstName", TEXTAREA,  false, $this->Alias); 
		$this->Email = new Property("Email", "Email", TEXTAREA,  false, $this->Alias); 
		$this->Phone = new Property("Phone", "Phone", TEXTAREA,  false, $this->Alias); 

		//Creation de l entité 
		$this->Create(); 
	}
}
?>